<launch>
    <!--& settings -->
    <arg name="sim_unpause_timeout" default="0.5"/>

    <arg name="name"/>
    <arg name="friction"/>
    <arg name="added_mass"/>

    <!--& load world and model -->
    <include file="$(find trolley_simulation)/launch/trolley.launch">
        <arg name="gui" value="0"/>
        <arg name="paused" value="1"/>
        <arg name="enable_test" value="true"/>
        <arg name="enable_rolling_friction" value="true"/>
    </include>

    <include file="$(find trolley_simulation)/launch/gazebo_unpause_simulation.launch">
        <arg name="timeout" value="$(arg sim_unpause_timeout)"/>
    </include>

    <!--& tests -->
    <test test-name="test_rolling_friction_plugin_friction_torque_$(arg name)" pkg="trolley_tests" type="test_rolling_friction_plugin_friction_torque.py">
        <param name="friction" value="$(arg friction)"/>
        <param name="added_mass" value="$(arg added_mass)"/>
    </test>
</launch>
